<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* tag-page.twig */
class __TwigTemplate_36ec13679c9cb3ac77d57e76012e7b91d100431892706a448f0a24e94d9e175c extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 24
        $context["inline"] = $this->loadTemplate("inline.twig", "tag-page.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("authed.twig", "tag-page.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_actionMenu($context, array $blocks = [])
    {
        // line 28
        echo "    <ul class=\"nav nav-pills pull-right\">
        <li class=\"btn btn-success btn-xs\"><a class=\"XiboFormButton btns\" title=\"";
        // line 29
        echo __("Add a new Tag");
        echo "\" href=\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("tag.add.form"), "html", null, true);
        echo "\"> <i class=\"fa fa-plus-circle\" aria-hidden=\"true\"></i>  ";
        echo __("Add Tag");
        echo "</a></li>
    </ul>
";
    }

    // line 33
    public function block_pageContent($context, array $blocks = [])
    {
        // line 34
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 35
        echo __("Tags");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 37
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"tagView\">
                <div class=\"XiboFilter well\">
                    <div class=\"FilterDiv\" id=\"Filter\">
                        <form class=\"form-inline\">
                            ";
        // line 41
        ob_start(function () { return ''; });
        echo __("ID");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                            ";
        echo $context["inline"]->getnumber("tagId", ($context["title"] ?? null));
        echo "

                            <div class=\"form-group \">
                                <label class=\"control-label\" title=\"\" for=\"tag\" accesskey=\"\">";
        // line 45
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"tag\" type=\"text\" id=\"tag\" value=\"\">
                                        <span class=\"input-group-addon\">
                                            <input title=\"";
        // line 50
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                        </span>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 56
        ob_start(function () { return ''; });
        echo __("Show System tags?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                            ";
        echo $context["inline"]->getcheckbox("isSystem", ($context["title"] ?? null), 0);
        echo "

                            ";
        // line 59
        ob_start(function () { return ''; });
        echo __("Show only tags with values?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                            ";
        echo $context["inline"]->getcheckbox("haveOptions", ($context["title"] ?? null), 0);
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData\">
                    <table id=\"tags\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 68
        echo __("ID");
        echo "</th>
                            <th>";
        // line 69
        echo __("Name");
        echo "</th>
                            <th>";
        // line 70
        echo __("isRequired");
        echo "</th>
                            <th>";
        // line 71
        echo __("Values");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 85
    public function block_javaScript($context, array $blocks = [])
    {
        // line 86
        echo "    <script type=\"text/javascript\">
        let table = \$(\"#tags\").DataTable({ \"language\": dataTablesLanguage,
            serverSide: true, stateSave: true, stateDuration: 0,
            stateLoadCallback: function (settings, callback) {
                let data = {};
                \$.ajax({
                    type: \"GET\",
                    async: false,
                    url: \"";
        // line 94
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "?preference=tagsGrid\",
                    dataType: 'json',
                    success: function (json) {
                        if (json.success)
                            data = JSON.parse(json.data.value);
                    }
                });
                return data;
            },
            stateSaveCallback: function (settings, data) {
                \$.ajax({
                    type: \"POST\",
                    url: \"";
        // line 106
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                    data: {
                        preference: [{
                            option: \"tagsGrid\",
                            value: JSON.stringify(data)
                        }]
                    }
                });
            },
            filter: false,
            searchDelay: 3000,
            \"order\": [[ 1, \"desc\"]],
            ajax: {
                \"url\": \"";
        // line 119
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("tag.search"), "html", null, true);
        echo "\",
                \"data\": function(d) {
                    \$.extend(d, \$(\"#tags\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                }
            },
            \"columns\": [
                { \"data\": \"tagId\", \"width\": \"70px\" },
                { \"data\": \"tag\" },
                {
                    \"data\": \"isRequired\",
                    \"width\": \"70px\",
                    \"render\": function (data, type, row) {
                        if (type != \"display\") {
                            return data;
                        }

                        var icon = \"\";
                        if (data == 1)
                            icon = \"fa-check\";
                        else if (data == 0)
                            icon = \"fa-times\";

                        return \"<span class='fa \" + icon  + \"'></span>\";
                    }
                },
                { \"data\": \"options\",
                    \"render\": function (data, type, row) {

                        if (type != \"display\") {
                            return data;
                        }

                        return JSON.parse(data);
                    }
                },
                {
                    \"orderable\": false,
                    \"data\": dataTableButtonsColumn
                }
            ]
        });

        table.on('draw', dataTableDraw);
        table.on('processing.dt', dataTableProcessing);
        dataTableAddButtons(table, \$('#tags_wrapper').find('.col-sm-6').eq(1), false);
    </script>
";
    }

    public function getTemplateName()
    {
        return "tag-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  206 => 119,  190 => 106,  175 => 94,  165 => 86,  162 => 85,  145 => 71,  141 => 70,  137 => 69,  133 => 68,  121 => 60,  117 => 59,  111 => 57,  107 => 56,  98 => 50,  90 => 45,  83 => 42,  79 => 41,  72 => 37,  67 => 35,  64 => 34,  61 => 33,  50 => 29,  47 => 28,  44 => 27,  39 => 23,  37 => 24,  31 => 23,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "tag-page.twig", "/home/mgatv524/public_html/edurocha/views/tag-page.twig");
    }
}
