<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* campaign-form-edit.twig */
class __TwigTemplate_bd95e96b108659322907c547ff7a2135196d594eb8b48534e5ad294d30fdad0f extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "campaign-form-edit.twig", 10)->unwrap();
        // line 11
        $context["inline"] = $this->loadTemplate("inline.twig", "campaign-form-edit.twig", 11)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "campaign-form-edit.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Edit Campaign");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Save");
        echo ", campaignFormSubmit(\$('#campaignEditForm'))
";
    }

    // line 23
    public function block_callBack($context, array $blocks = [])
    {
        echo "campaignAssignLayoutsFormOpen";
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        // line 26
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"campaignEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 28
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("campaign.edit", ["id" => $this->getAttribute(($context["campaign"] ?? null), "campaignId", [])]), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">
                ";
        // line 29
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 30
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Campaign");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 31
        echo "                ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["campaign"] ?? null), "campaign", []), ($context["helpText"] ?? null));
        echo "
                
                ";
        // line 33
        ob_start(function () { return ''; });
        echo __("Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 34
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Tags for this Campaign - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 35
        echo "                ";
        echo $context["forms"]->getinputWithTags("tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value");
        echo "

                <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Tag value");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                ";
        echo $context["forms"]->getdropdown("tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value");
        echo "

                <div id=\"tagValueContainer\">
                    ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Tag value");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                    ";
        echo $context["forms"]->getinput("tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
        echo "
                </div>

                <div id=\"tagValueRequired\" class=\"alert alert-info\">
                    <p>";
        // line 49
        echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
        echo "</p>
                </div>

                <div id=\"assignLayouts\"></div>
                <div id=\"unassignLayouts\"></div>
            </form>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12 well\">
            ";
        // line 59
        $context["campaignName"] = $this->getAttribute(($context["campaign"] ?? null), "campaign", []);
        // line 60
        echo "            <h4>";
        /* xgettext:no-php-format */        echo strtr(__("Layouts on %campaignName%"), array("%campaignName%" => ($context["campaignName"] ?? null), ));
        echo "</h4>
            <div id=\"LayoutAssign\" class=\"well\" data-url=\"";
        // line 61
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("campaign.assign.layout", ["id" => $this->getAttribute(($context["campaign"] ?? null), "campaignId", [])]), "html", null, true);
        echo "\">
                <div>
                    <ul id=\"LayoutAssignSortable\">
                        ";
        // line 64
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["layouts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 65
            echo "                        <li data-layout-id=\"";
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "layoutId", []), "html", null, true);
            echo "\" data-display-order=\"";
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "displayOrder", []), "html", null, true);
            echo "\" class=\"btn btn-sm btn-default ";
            if ($this->getAttribute($context["item"], "locked", [])) {
                echo "ui-state-disabled";
            }
            echo "\">";
            if ($this->getAttribute($context["item"], "locked", [])) {
                echo "<span class=\"fa fa-lock\"></span> ";
            }
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "layout", []), "html", null, true);
            echo " ";
            if ( !$this->getAttribute($context["item"], "locked", [])) {
                echo "<span class=\"glyphicon glyphicon-minus-sign\"></span>";
            }
            echo "</li>
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 67
        echo "                    </ul>
                </div>
            </div>

            <div class=\"XiboGrid\" id=\"";
        // line 71
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"layoutAssignView\">
                <div class=\"layoutAssignFilterOptions XiboFilter\">
                    <form class=\"form-inline\" onsubmit=\"false\">
                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        echo $context["inline"]->getinput("layout", ($context["title"] ?? null));
        echo "

                        ";
        // line 77
        ob_start(function () { return ''; });
        echo __("Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 78
        echo "                        ";
        echo $context["inline"]->getinputWithTags("tags", ($context["title"] ?? null));
        echo "

                        ";
        // line 80
        ob_start(function () { return ''; });
        echo __("Exact match?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 81
        echo "                        ";
        echo $context["inline"]->getcheckbox("exactTags", ($context["title"] ?? null));
        echo "
                    </form>
                </div>

                <div class=\"XiboData\">
                    <table id=\"layoutAssignments\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 89
        echo __("ID");
        echo "</th>
                            <th>";
        // line 90
        echo __("Name");
        echo "</th>
                            <th>";
        // line 91
        echo __("Status");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "campaign-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  264 => 91,  260 => 90,  256 => 89,  244 => 81,  240 => 80,  234 => 78,  230 => 77,  224 => 75,  220 => 74,  214 => 71,  208 => 67,  184 => 65,  180 => 64,  174 => 61,  169 => 60,  167 => 59,  154 => 49,  146 => 45,  141 => 44,  137 => 43,  130 => 40,  126 => 39,  118 => 35,  113 => 34,  109 => 33,  103 => 31,  98 => 30,  94 => 29,  88 => 28,  84 => 26,  81 => 25,  75 => 23,  69 => 20,  65 => 19,  58 => 18,  55 => 17,  50 => 14,  47 => 13,  42 => 9,  40 => 11,  38 => 10,  32 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "campaign-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/campaign-form-edit.twig");
    }
}
